xsok LANG environment variable buffer overflow

xsok-lang-bo (14910) The risk level is classified as HighHigh Risk

Description:

xsok is vulnerable to a buffer overflow. A local attacker could supply a long LANG environment variable to overflow a buffer, which would allow the attacker to execute arbitrary commands on the system with elevated privileges.


Consequences:

Gain Privileges

Remedy:

No remedy available as of September 1, 2014.

References:

  • BugTraq Mailing List, Fri Jan 02 2004 - 10:35:22 CST: xsok local games exploit.
  • BID-9341: XSOK LANG Environment Variable Local Buffer Overrun Vulnerability
  • BID-9352: XSOK XSOKDir Option Local Buffer Overrun Vulnerability
  • CVE-2004-0074: Multiple buffer overflows in xsok 1.02 allows local users to gain privileges via (1) a long LANG environment variable, or (2) a long -xsokdir command line argument, a different vulnerability than CVE-2003-0949.

Platforms Affected:

  • Michael Bischoff xsok 1.2

Reported:

Jan 04, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page